<!DOCTYPE html>
<html>
<head>
  <link href ='https://fonts.googleapis.com/css?family=Didact Gothic' rel='stylesheet'>
<meta name="viewport" content="width=device-width, initial-scale=2">

<!-- /*style benchmarking from geeksforgeeks -->
<style>
body {
  text-align:center;
  margin: 0;
  font-family: 'Didact Gothic';font-size: 17px;
}

 /* 
agar ada pemisah antara form */
form{
  display:inline-block;
}

 /* memicu konteks format blok baru untuk cegah navbar runtuh krn melayang */
.topnav {
  overflow: hidden;
  background-color: #BEFFDA;
}

/* 
biar terbagi lists cards forms */
.topnav a {
  float: center;
  color: #18241D;
  text-align: center;
  padding: 5px 50px;
  text-decoration:none;
  font-size: 17px;
}

/* warna hover */
.topnav a:hover {
  background-color: #DBFFFF;
}


  /* agar ada bordernya di table */
  table{
    border-collapse: separate;
    border: solid black 1px;
    border-radius: 6px;
  }

  /* table data buat isi: warna solid, table heading buat isi: warna solid */
  td,th{
    border-left: solid black 2px;
    border-top: solid black 2px;
  }

  /* tulisan di thnya supaya mepet ke kiri */
  th{
    background-color: #BEFFDA;
    border-top: none;
    text-align: left;
  }

  /* tulisan di tdnya supaya mepet ke kiri */
  td{
    text-align: left;
  }

  /* buat border item paling ujung hilang */
  td:first-child, th:first-child{
    border-left: none;
  }

  /* buat nengahin tabel */
  table.center{
    margin-left: auto;
    margin-right: auto;
  }

</style>
</head>

<header>
<nav class="topnav">
    <div>
    <h1>Notes</h1>
      <a href="/lab-4">Lists</a>
      <a href="note_list">Cards</a>
      <a href="add_note">Forms</a>
    </ul>
  </div>
</nav>
</header>

  <body>
    <br>
    <h1>LIST OF THE NOTES</h1><br>
    <table class = "center">
      
      <tr>
        <th>To</th>
        <th>From</th>
        <th>Title</th>
        <th>Message</th>
      </tr>
     
      
        
      {% if note %}
        {% for i  in note %}
       <tr>
          <td>{{ i.To }}</td>
          <td>{{ i.From }}</td>
          <td>{{ i.Title }}</td>
          <td>{{ i.Message }}</td>
        
        </tr>

        {% endfor %}
      {% endif %}
      
      </table>
    </table>
  </body>
</html>